<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Zonas/zona_urbana.php");
encabezado2($target);

$nombre = $_GET['nombre'];
$codigo = $_GET['codigo'];
$pagina = 'ACTUALIZAR ZONAS';
if ($tipo == 2 && !isset($Ejecutar)) {
    $read = "readonly='readonly'";
    $pagina = 'ELIMINAR ZONAS';
}
?>
<CENTER>
    <form action="" method="POST" name="backup">
        <table width="300" border="0" class="primaria">
            <tr class=miTable_tr>
                <td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina; ?> ::..</div></td>
            </tr>
            <tr class="miTable_tr">
                <td width="180" valign=top height="42" class=miTable_td2>Codigo Zona:</td>
                <td width="150" valign=top height="42" class="miTable_td"><input type="text" name="codigo" value="<? echo $codigo ?>" class="inputbox" readonly size="25" /></td>
            </tr>
            <tr class="miTable_tr">
                <td valign=top height="42" class=miTable_td2>Nombre Zona:</td>
                <td valign=top height="42" class="miTable_td"><input type="hidden" name="id" value="<? echo $id ?>" class="inputbox" size="25" />
                    <input type="text" name="nombre" value="<? echo $nombre ?>" class="inputbox" size="25" /></td>
            </tr>

<!--<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Valor Entregada:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="valor" value="<? echo $valor ?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Valor Devolucion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="valord" value="<? echo $valord ?>" class="inputbox" size="25"></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:</td>
<td width="150" class="miTable_td">
<select name="suc" class="inputbox">-->
            <?

            class tomar_sucursal {

                var $userObj;

                //var $conexionObj2;
                function get_suc($id_suc) {
                    $this->userObj = new select_zonas();
                    $this->userObj->get_sucursales2($id_suc);
                }

            }

            $zona_nacionalObj = new tomar_sucursal();
            $zona_nacionalObj->get_suc($id_suc);

//get_sucursales($id_suc);
            ?>
            </select></td>
            </tr>
            <tr class=miTable_tr>
                <td class=miTable_th1 colspan="2">
                    <div align="center">
                        <?
                        if ($tipo == 1) {
                            print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
                        } else {
                            print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
                            print ('<script>document.backup.Cancelar.focus(); </script>');
                        }
                        ?>
                    </div></td>
            </tr>
        </table>
    </form>
</CENTER>
<?
if ($tipo == 1 && isset($Ejecutar)) {

    //echo "Asignar menu";

    class ejecutaZonan {

        var $consultarObj;
        var $conexionObj;
        var $estado;

        function setConsultar($codigo, $nombre) {
            //$id_user=$_GET['id_user'];
            $_SESSION['desc'] = $desc;
            if ($nombre == '' || $codigo == '') {
                $msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
                echo "<script>
				   alert('$msgBOX2');
				   window.close();
				</script>";
            } else {
                $this->consultarObj = new zonas_urbanas();
                $this->consultarObj->setCodigo($codigo);
                $this->consultarObj->setNombre($nombre);
//			   $this->consultarObj->setSucursal($suc);
//			   $this->consultarObj->setValor($valor);
//			   $this->consultarObj->setValor_dev($valord);
            }
        }

        function getConsultar() {
            return $this->consultarObj;
        }

        function validar() {
            $this->conexionObj = new conexion();
            $this->conexionObj->conectarse();
            $rst_validar = $this->conexionObj->consultar("SELECT * FROM zonas_urbanas WHERE cod_zona='" . $this->consultarObj->getCodigo() . "'");
            if (mysql_num_rows($rst_validar) >= 1) {
                //echo $desc=$_SESSION['desc'];
                $codigo = $this->consultarObj->getCodigo();
                $nombre = $this->consultarObj->getNombre();
//				$suc=$this->consultarObj->getSucursal();
//				$valor=$this->consultarObj->getValor();
//				$valord=$this->consultarObj->getValor_dev();
                $this->modificarZona($codigo, $nombre);
            } else {
                //$row_validar=mysql_fetch_array($rst_validar);
                $msgBOX2 = "No Se Encontro Zona.";
                echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            }
        }

        function modificarZona($codigo, $nombre) {
            $rst_modificar = $this->conexionObj->consultar("update zonas_urbanas set nom_zona= '" . $nombre . "' WHERE cod_zona = " . $codigo . "");
            $affected_modificar = mysql_affected_rows();
            if ($affected_modificar >= 1) {
                $msgBOX2 = "Se Actualizo Zona.";
                echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            } else {
                $msgBOX2 = "No Se Pudo Actualizar Zona.";
                echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            }
        }

    }

    // FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
    $ejecutaZonanObj = new ejecutaZonan();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
    $ejecutaZonanObj->setConsultar($_POST['codigo'], $_POST['nombre']);

// LAMANDO EL METODO DE NEGOCIO
    $ejecutaZonanObj->validar();
} elseif ($tipo == 2 && isset($Ejecutar)) {

    //echo "Quitar menu";
    class quitarZona {

        var $consultarObj;
        var $conexionObj;
        var $estado;

        function setConsultar($codigo) {
            //$id_user=$_GET['id_user'];
            $this->consultarObj = new zonas_urbanas();
            $this->consultarObj->setCodigo($codigo);
        }

        function getConsultar() {
            return $this->consultarObj;
        }

        function validar() {
            $this->conexionObj = new conexion();
            $this->conexionObj->conectarse();
            $rst_validar = $this->conexionObj->consultar("SELECT * FROM zonas_urbanas WHERE cod_zona='" . $this->consultarObj->getCodigo() . "'");
            if (mysql_num_rows($rst_validar) >= 1) {
                $id = $this->consultarObj->getCodigo();
                $this->eliminarZona($codigo);
            } else {
                $msgBOX2 = "No Se Encontro Zona.";
                echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            }
        }

        function eliminarZona($codigo) {
            $rst_modificar = $this->conexionObj->consultar("DELETE FROM zonas_urbanas WHERE cod_zona='" . $codigo . "' ");
            $affected_modificar = mysql_affected_rows();
            if ($affected_modificar >= 1) {
                $msgBOX2 = "Se Elimino Zona.";
                echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            } else {
                $msgBOX2 = "No Se Pudo Eliminar Zona.";
                echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
            }
        }

    }

    // FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
    $quitarZonaObj = new quitarZona();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
    $quitarZonaObj->setConsultar($_POST['codigo']);

// LAMANDO EL METODO DE NEGOCIO
    $quitarZonaObj->validar();
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<CENTER>
<?
pie_de_pagina();
?>
</CENTER>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";

echo"</body>";
echo"</html>";
?>